/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.CreditoFiscal;
//import com.cosmodas.Facade.CreditoFiscalFacade;
import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface CreditoFiscalFacadeLocal {

    void create(CreditoFiscal creditoFiscal);

    void edit(CreditoFiscal creditoFiscal);

    void remove(CreditoFiscal creditoFiscal);

    CreditoFiscal find(Object id);

    List<CreditoFiscal> findAll();

    List<CreditoFiscal> findRange(int[] range);

    int count();

    void actualizaValorCredito(String facturaCodigo, String facturaSerie, String valorActua);

    void insertaCreditoFiscal(CreditoFiscal cred);

}
